{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "properties": {
    "apiVersion": {
      "type": "string"
    },
    "kind": {
      "type": "string"
    },
    "metadata": {
      "type": "object"
    },
    "spec": {
      "properties": {
        "allowedUses": {
          "items": {
            "type": "string"
          },
          "type": "array"
        },
        "assignmentMode": {
          "enum": [
            "Automatic",
            "Manual"
          ],
          "type": "string"
        },
        "blockSize": {
          "type": "integer"
        },
        "cidr": {
          "type": "string"
        },
        "disableBGPExport": {
          "type": "boolean"
        },
        "disabled": {
          "type": "boolean"
        },
        "ipip": {
          "properties": {
            "enabled": {
              "type": "boolean"
            },
            "mode": {
              "type": "string"
            }
          },
          "type": "object"
        },
        "ipipMode": {
          "type": "string"
        },
        "nat-outgoing": {
          "type": "boolean"
        },
        "natOutgoing": {
          "type": "boolean"
        },
        "nodeSelector": {
          "type": "string"
        },
        "vxlanMode": {
          "type": "string"
        }
      },
      "required": [
        "cidr"
      ],
      "type": "object"
    }
  },
  "type": "object"
}
